package cn.gintone.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "aes") // 前缀与 yml 中的键匹配
public class AesKeyConfig {
    private String key;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    @Override
    public String toString() {
        return "AesKeyConfig{" +
                "key='" + key + '\'' +
                '}';
    }
}
